﻿@using Jumbula.Web.WebLogic.UserService
@model List<Jumbula.Core.Model.Notification.NotificationModel>

<link href="@Url.Content("~/Content/Shared/notification.css")" rel="stylesheet">

<script>
    function removeAnimation(e) {
        e.classList.remove("color-animation");
    }
</script>

<li id="notificationControl" class="dropdown account">
    <span class="shop-number notification-number">@Model.Count</span>
    <a href="" class="dropdown-toggle" data-toggle="dropdown" aria-expanded="true">
        <i class="jbi-bell-o color-animation" style="font-size: 20px;" onclick="removeAnimation(this)"></i>
    </a>
    <ul class="dropdown-menu" style="right: -300% !important;">
        <li class="dropdown-menu-icon">
            <i class="jbi-bell padding-right20" style="font-size: 30px;"></i>
            <span class="medium_bold_grey">Notifications</span>
        </li>
        <li>
            <ul class="dropdown-menu-body">
                @foreach (var item in Model)
                {
                    <li>
                        <a href="@Url.Action("DisplayDelinquentMessage","SubDomain",new {domain = "",clubDomain = this.GetCurrentClubDomain()})" class="menuitem-row">

                            <div class="margin-right15">
                                @{
                                    string iconClass = string.Empty;
                                    switch (item.Category)
                                    {
                                        case NotificationCategory.Delinquent:
                                            iconClass = "jbi-dollar";
                                            break;
                                    }
                                }

                                <span class="menuitem-row-icon @iconClass"></span>
                            </div>
                            <div>
                                <span style="font-weight: 800;">@item.Title</span><br />
                                <span style="font-weight: 500;">@item.Message</span><br />
                                <small style="font-size: small;">@item.NotificationTime</small>
                            </div>
                        </a>
                    </li>
                }

                <div style="left: 0; bottom: 0;">
                    <div tabindex="0" style="left: 0; width: 0;"></div>
                </div>
                <div style="top: 0; right: 0;">
                    <div tabindex="0" style="top: 0; height: 0;"></div>
                </div>
            </ul>
        </li>
        <li class="menuitem-row-viewAll">
            <span><a href="" style="color: gray; font-size: small; ">View All Notifications <i class="jbi-angle-right margin-left10" style="font-size: small;"></i></a></span>
        </li>
    </ul>
</li>
